## com.saxonica.schema
Class IdentityField

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.IdentityField

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator

    public class IdentityField

extends SchemaStructure

The field selector for an IdentityConstraint

See Also:
  Serialized Form

Constructor Summary
`IdentityField(java.lang.String xpath)` Creates a new IdentityField.

Method Summary
`NamespaceResolver` `getNamespaceContext()` Get the namespace context for evaluating the XPath expression
`Selection` `getSelection()` Get the compiled XPath expression
`java.lang.String` `getXPath()` Returns the XPath of this IdentityField.
`void` `setNamespaceContext(NamespaceResolver resolver)` Set the namespace context.
`void` `setSelection(Selection selection)` Set the compiled XPath expression
`void` `setXPath(java.lang.String xpath)` Sets the XPath expression for this Field.

Methods inherited from class com.saxonica.schema.SchemaStructure
`elaborate, fixup, getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getSystemId, getValidationStatus, lookForCycles, setConfiguration, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityField

    public IdentityField(java.lang.String xpath)

  Creates a new IdentityField.

  Parameters:
    `xpath` - the xpath for the IdentityField. Must not be null.

Method Detail

### getXPath

    public java.lang.String getXPath()

  Returns the XPath of this IdentityField. This value will never be null.

  Returns:
    the XPath of this IdentityField.

### getSelection

    public Selection getSelection()

  Get the compiled XPath expression

  Returns:
    the compiled XPath expression, as a Selector object

### setXPath

    public void setXPath(java.lang.String xpath)

  Sets the XPath expression for this Field.

  Parameters:
    `xpath` - the XPath expression for this IdentityField. Must not be null.

### setSelection

    public void setSelection(Selection selection)

  Set the compiled XPath expression

  Parameters:
    `selection` -

### setNamespaceContext

    public void setNamespaceContext(NamespaceResolver resolver)

  Set the namespace context. This is needed to allow the assertion to be serialized, so that the namespace context can be replicated when it is reloaded.

### getNamespaceContext

    public NamespaceResolver getNamespaceContext()

  Get the namespace context for evaluating the XPath expression

Copyright (c) Saxonica Limited. All rights reserved.